[Numpy-discussion] Defining version_pattern for fcompiler (pathscale)

Lewis E. Randerson lranderson@pppl....
Tue Mar 24 14:11:05 CDT 2009


Hi,

I am trying to setup a new compiler for numpy and  my lack of python
pattern matching syntax knowledge is bogging me down.

Here is one of my non-working patterns.
=================================================
version_pattern =  r'Pathscale(TM) Compiler Suite: Version (? 
P<version>[^\s]*)'
=================================================

Here is the string I am trying to get the version from.
=======================================================
$ pathf95 --version
PathScale(TM) Compiler Suite: Version 3.2
Built on: 2008-06-16 16:45:36 -0700
Thread model: posix
GNU gcc version 3.3.1 (PathScale 3.2 driver)

Copyright 2000, 2001 Silicon Graphics, Inc.  All Rights Reserved.
Copyright 2002, 2003, 2004, 2005, 2006 PathScale, Inc.  All Rights  
Reserved.
Copyright 2006, 2007 QLogic Corporation.  All Rights Reserved.
Copyright 2007, 2008 PathScale LLC.  All Rights Reserved.
See complete copyright, patent and legal notices in the
/usr/pppl/pathscale/3.2/share/doc/pathscale-compilers-3.2/LEGAL.pdf  
file.
===========================================================

Any idea what the correct value for "version_pattern" should be".
Even better, If you have a working pathscale.py for the above, I'll  
take that
instead.

Thanks for any help!
--Lew






More information about the Numpy-discussion mailing list